package com.rp.util.sort;

import com.rp.util.sort.SortException;

import java.util.Comparator;
import java.util.List;

public interface ISort
{	
	public void sort (Object[] arr, Comparator c, String methodName) throws SortException;
	public void sort (Object[] arr, int begin, int end, Comparator c, String methodName) throws SortException;
	public void sort (Object[] arr, Comparator c, String methodName, Class[] paramTypes, Object[] paramValues) throws SortException;
	public void sort (Object[] arr, int begin, int end, Comparator c, String methodName, Class[] paramTypes, 
							Object[] paramValues) throws SortException;
	public void sort (Object[] arr, Comparator c);
	public void sort (Object[] arr, int begin, int end, Comparator c);
	public void sort (List arr, Comparator c);
	public void sort (List arr, int begin, int end, Comparator c);
	public void sort (String[] arr);
	public void sort (String[] arr, int begin, int end);
	public void sort (int[] arr);
	public void sort (int[] arr, int begin, int end);
	public void sort (long[] arr);
	public void sort (long[] arr, int begin, int end);
	public void sort (short[] arr);
	public void sort (short[] arr, int begin, int end);
	public void sort (double[] arr);
	public void sort (double[] arr, int begin, int end);
	public void sort (float[] arr);
	public void sort (float[] arr, int begin, int end);
	public void sort (char[] arr);	
	public void sort (char[] arr, int begin, int end);	
	public void sort (byte[] arr);
	public void sort (byte[] arr, int begin, int end);
}